[One Click Apps] List the backups of an application
curl --request GET \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/one-click/apps/{app_id}/backups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/one-click/apps/{app_id}/backups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/one-click/apps/{app_id}/backups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"storage_uuid": "<string>",
"name": "<string>",
"mount_path": "<string>",
"resource_type": "<string>",
"schedule_uuid": "<string>",
"frequency": "<string>",
"enabled": true,
"retention_days": 123,
"executions": [
{
"uuid": "<string>",
"status": "<string>",
"size": 123,
"filename": "<string>",
"message": "<string>",
"created_at": "<string>",
"finished_at": "<string>"
}
]
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}Compute
[One Click Apps] List the backups of an application
Return every persistent volume of the application with its backup schedule and past archives.
GET
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
instances
/
{instance_id}
/
one-click
/
apps
/
{app_id}
/
backups
[One Click Apps] List the backups of an application
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
Unique identifier of the deployed One Click App.
Unique identifier of the compute instance.
Unique identifier of the organization that owns the resource.
Unique identifier of the project containing the resource.
Query Parameters
A page number within the paginated result set.
Number of results to return per page.
⌘I

